/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/base.glsl"), digest: "d5ae695bab268b7d"});
    shaders.insert("blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/blend.glsl"), digest: "13d73473dd6ff8fa"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush.glsl"), digest: "e5ee25c2d4aa738b"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_blend.glsl"), digest: "4fc50b8fedb1e5f1"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_image.glsl"), digest: "ed514cffc30c273c"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "bbfd003828320a6e"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "fd0a308d563f3e19"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "5bb4c964a6ff85c"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_solid.glsl"), digest: "3049ee1997dbace9"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "d3d4308315f02325"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/clip_shared.glsl"), digest: "86295c7240a0539"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/composite.glsl"), digest: "7a91c1de1945ae26"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_blur.glsl"), digest: "820df3b4a7b4c3fa"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "1709acdfcd6a1cbf"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "980804c7958e43a7"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "56402cb95166d095"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "49451bdb6b91349e"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "250672b962675cbb"});
    shaders.insert("cs_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_conic_gradient.glsl"), digest: "8fa1880a22365d8f"});
    shaders.insert("cs_fast_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_fast_linear_gradient.glsl"), digest: "e4b4c4cdd05aeb2d"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "9aadaa3f6bba4023"});
    shaders.insert("cs_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_linear_gradient.glsl"), digest: "542367c87db5169"});
    shaders.insert("cs_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_radial_gradient.glsl"), digest: "81859f04d7aeef6f"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_scale.glsl"), digest: "211b392d8944e7"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "d0bc021be8a8b67e"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/debug_color.glsl"), digest: "85a257c72a44c194"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/debug_font.glsl"), digest: "70331ec5f9cec064"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/ellipse.glsl"), digest: "1883f224293b6515"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "e99b57d9cc26406a"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "208078c3cbd97aa7"});
    shaders.insert("gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/gradient.glsl"), digest: "8fd15af56b74882f"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "6f3fd5b68c496f08"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/prim_shared.glsl"), digest: "1bf52703afbbd12f"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/ps_clear.glsl"), digest: "97422f9c0208e35e"});
    shaders.insert("ps_copy", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/ps_copy.glsl"), digest: "fee018569bc66328"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "ee8b1e282dbf2bcf"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "bb4c2eb95972db88"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/rect.glsl"), digest: "a072b75695c59cf6"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/render_task.glsl"), digest: "c4574b7a23485833"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/shared.glsl"), digest: "df523dc077d5bcbf"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/transform.glsl"), digest: "bf4f53677470b986"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-101.0.1/gfx/wr/webrender/res/yuv.glsl"), digest: "8abf49ff1bdef080"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_Gl.frag"),
        digest: "726b278f82afd580",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "f5ffe1cc7328b708",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "dd8edf9518445ccb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "c3165dcbfd82a655",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "768369239e6597e8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "cbcd4729e588ede3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "dfc6ab158aa62610",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "df29eafc03c77bce",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "c82435cd67646eb0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "efaeb65362810db4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "1443051a1e868796",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "e41b2401cdd6c5c4",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "f79f6837fd808653",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "34e5e2373c8aa17e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "f18ec5e5e989b52b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "f6b7cf61fc6297a9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "3311166ec5f0675b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "46f036c6916a07c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "6d8934f36665b86d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "ed575684a396d724",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "bc72be1816705306",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "5ced91677cca7936",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "ea1b6b336b8a153a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_Gl.frag"),
        digest: "a80c3e75c192d403",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "24e5c27604e1a584",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "5209dc50050e1a7a",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_Gl.frag"),
        digest: "67b492135b6021be",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "fa5e2a33c1e75d01",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "f9cef4439f421eac",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_Gl.frag"),
        digest: "5a7b40422d9de67f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "bcce1f3483599b4e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "d1efe990cf491a84",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "2262d5d709c120bc",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "d43d37fa4ccc30f1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "fdfa91c90bb02b46",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_Gl.frag"),
        digest: "9b19341c70e9ecf2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "5d337d4477c06c62",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "275efec681fe453f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "c72eac1967c0aa31",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "36329b2b205c24d1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "2a974422f9d91856",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "a2f4c22cc9216bd5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "13559c47894bc23f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "bddccc04334cd8f1",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_FAST_PATH_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_FAST_PATH_TEXTURE_2D_Gl.frag"),
        digest: "2f10b4ba2ef63fa6",
    });
    shaders.insert((ShaderVersion::Gl, "composite_FAST_PATH_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_FAST_PATH_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_FAST_PATH_TEXTURE_RECT_Gl.frag"),
        digest: "181d9b7fb77535bf",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "6ecaddcc07ee2701",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "377a8515e140e2b2",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "42d4e2f17220d6a0",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "e8d6738ec90b1097",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "e1ee6b18274ebea4",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "44b296e917f5ffe0",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_border_segment_Gl.frag"),
        digest: "8495134f5ed37bf5",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_border_solid_Gl.frag"),
        digest: "9fd688a8c266d2da",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "27ebd9a8598b86dd",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "cc3eb79ed945df7e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_rectangle_Gl.frag"),
        digest: "2c8a1dff0fe0a10f",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "f2f1ca9e786e5c25",
    });
    shaders.insert((ShaderVersion::Gl, "cs_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_conic_gradient_Gl.frag"),
        digest: "b7cda5b4a185979c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_fast_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_fast_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_fast_linear_gradient_Gl.frag"),
        digest: "3d4ec20a2b40f905",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_line_decoration_Gl.frag"),
        digest: "7943c68da0973c69",
    });
    shaders.insert((ShaderVersion::Gl, "cs_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_linear_gradient_Gl.frag"),
        digest: "d472e0930d426d9d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_radial_gradient_Gl.frag"),
        digest: "da73355e0977ab65",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "8b96616ecbcd584b",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "d131714d8283049d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/cs_svg_filter_Gl.frag"),
        digest: "6595c3bd48da1c2e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_clear_Gl.frag"),
        digest: "9ef2acc3bbd621e8",
    });
    shaders.insert((ShaderVersion::Gl, "ps_copy"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_copy_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_copy_Gl.frag"),
        digest: "514726576460ee72",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_split_composite_Gl.frag"),
        digest: "9567385257869ee1",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "4206a389e17781d0",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "f7f64128b28324e6",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "38b0cb66281e545a",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "f09e4a2ad5873fba",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "4b8cfd14ebbc7b1e",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-101.0.1/objdir/powerpc64le-unknown-linux-gnu/release/build/webrender-83a7a809ab427ae2/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "eed566e8b1b1330d",
    });
    shaders
  };
}
